<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Mac::Address Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dd/dcd/structThread_1_1Mac_1_1Address.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d0/d88/structThread_1_1Mac_1_1Address-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Mac::Address Struct Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../df/d5c/group__core-mac.html">MAC</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents an IEEE 802.15.4 Short or Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>.  
 <a href="../../dd/dcd/structThread_1_1Mac_1_1Address.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d1/d97/mac__frame_8hpp_source.html">src/core/mac/mac_frame.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Thread::Mac::Address:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d04/structThread_1_1Mac_1_1Address__coll__graph.png" border="0" usemap="#Thread_1_1Mac_1_1Address_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Mac_1_1Address_coll__map" id="Thread_1_1Mac_1_1Address_coll__map">
<area shape="rect" id="node2" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html" title="This structure represents an IEEE 802.15.4 Extended Address. " alt="" coords="5,80,177,105"/>
<area shape="rect" id="node3" href="../../d3/d8f/structotExtAddress.html" title="This type represents the IEEE 802.15.4 Extended Address. " alt="" coords="41,5,142,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af0811fa6871a4011a107fe7416f4b09e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0811fa6871a4011a107fe7416f4b09e"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html#af0811fa6871a4011a107fe7416f4b09e">mLength</a></td></tr>
<tr class="memdesc:af0811fa6871a4011a107fe7416f4b09e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of address in bytes. <br /></td></tr>
<tr class="separator:af0811fa6871a4011a107fe7416f4b09e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5458da958b337133ff39ef3b0ca9f74"><td class="memItemLeft" ><a class="anchor" id="ac5458da958b337133ff39ef3b0ca9f74"></a>
union {</td></tr>
<tr class="memitem:aab045f4f40263a0239c38e1c041c839b"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="../../df/d5c/group__core-mac.html#ga70635fe32761138510f029f3d4eb36b7">ShortAddress</a>&#160;&#160;&#160;<a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html#aeec7c8fde272afa865ba668174335040">mShortAddress</a></td></tr>
<tr class="memdesc:aab045f4f40263a0239c38e1c041c839b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The IEEE 802.15.4 Short <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>. <br /></td></tr>
<tr class="separator:aab045f4f40263a0239c38e1c041c839b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad217648431482978a3df9a8e42c47b32"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a>&#160;&#160;&#160;<a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html#a349a0360c664b5aefef89bb537b810d3">mExtAddress</a></td></tr>
<tr class="memdesc:ad217648431482978a3df9a8e42c47b32"><td class="mdescLeft">&#160;</td><td class="mdescRight">The IEEE 802.15.4 Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>. <br /></td></tr>
<tr class="separator:ad217648431482978a3df9a8e42c47b32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5458da958b337133ff39ef3b0ca9f74"><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:ac5458da958b337133ff39ef3b0ca9f74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents an IEEE 802.15.4 Short or Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/core/mac/<a class="el" href="../../d1/d97/mac__frame_8hpp_source.html">mac_frame.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>Mac</b></li><li class="navelem"><a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html">Address</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
